%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name IO-Compress-Zlib

Summary: 	IO-Compress-Zlib module for perl
Name: 		perl-IO-Compress-Zlib
Version: 	2.008
Release: 	6.1
License: 	distributable
Group: 		Applications/CPAN
URL: 		http://search.cpan.org/dist/IO-Compress-Zlib/


Source: 	http://www.cpan.org/modules/by-module/Compress/IO-Compress-Zlib-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: 	perl zlib-devel >= 1.0.2
Requires: 	perl zlib >= 1.0.2

%description
Compress-Zlib module for perl

%prep
%setup -n %{real_name}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
		%{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README
%doc %{_mandir}/man?/*
%{perl_vendorarch}/auto/IO/Compress/
%{perl_vendorlib}/IO/Compress/Adapter/Deflate.pm
%{perl_vendorlib}/IO/Compress/Adapter/Identity.pm
%{perl_vendorlib}/IO/Compress/Deflate.pm
%{perl_vendorlib}/IO/Compress/Gzip.pm
%{perl_vendorlib}/IO/Compress/Gzip/Constants.pm
%{perl_vendorlib}/IO/Compress/RawDeflate.pm
%{perl_vendorlib}/IO/Compress/Zip.pm
%{perl_vendorlib}/IO/Compress/Zip/Constants.pm
%{perl_vendorlib}/IO/Compress/Zlib/Constants.pm
%{perl_vendorlib}/IO/Compress/Zlib/Extra.pm
%{perl_vendorlib}/IO/Uncompress/Adapter/Identity.pm
%{perl_vendorlib}/IO/Uncompress/Adapter/Inflate.pm
%{perl_vendorlib}/IO/Uncompress/AnyInflate.pm
%{perl_vendorlib}/IO/Uncompress/Gunzip.pm
%{perl_vendorlib}/IO/Uncompress/Inflate.pm
%{perl_vendorlib}/IO/Uncompress/RawInflate.pm
%{perl_vendorlib}/IO/Uncompress/Unzip.pm

%changelog
* Sun Jan 27 2008 VHCS Packager <vhcs@j0ke.net>
- initial release

